﻿using LuxSciWebApiWrapper.Models;
using LuxSciWebApiWrapper.Models.Authentication;
using System.Configuration;
using System.Net.Http;
using System.Threading.Tasks;

namespace LuxSciWebApiWrapper.LuxApiHttpClient
{
    public class AuthHttpClient : LuxApiHttpClient
    {
        public AuthHttpClient() : base()
        {
            requestPath = ConfigurationManager.AppSettings["AuthPath"];
        }

        //Get authentication code
        public async Task<LuxSciResponse> GetAuthenticationCode(AuthRequest authRequest)
        {
            GetHTTPClient(new HttpClientHandler());
            return await PostAsJsonAsync(authRequest);
        }

       
    }
}
